run: exercise_06_13
	./exercise_06_13
	
exercise_06_13: exercise_06_13.o .gitignore
	g++ -g3 exercise_06_13.o -o exercise_06_13
	
exercise_06_13.ii: exercise_06_13.cpp
	g++ -g3 -E exercise_06_13.cpp -o exercise_06_13.ii
	
exercise_06_13.s: exercise_06_13.ii
	g++ -g3 -S exercise_06_13.ii -o exercise_06_13.s
	
exercise_06_13.o: exercise_06_13.s
	g++ -g3 -c exercise_06_13.s -oexercise_06_13.o
	
.gitignore:
	echo exercise_06_13 > .gitignore
	
clean:
	rm *.ii *.s *.o exercise_06_13 .gitignore


